Bug 131268 - DHCP with airport seems to sig11 anaconda
DHCP with airport seems to sig11 anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-08-30 13:09 EDT by Colin Charles
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 15:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Charles 2004-08-30 13:09:25 EDT
Description of problem: Having done countless PowerPC installs before
using the airport card in the iBook G3, this was the first time I
noticed a failure. Basically, I select NFS install, then load up the
airport module. What's new is now it asks if I have an ESSID and key,
I leave that empty, say OK, allow it to get a DHCP IP, then it just
exits abnormally, with a signal 11. No other details are provided, and
the machine needs to be rebooted


Version-Release number of selected component (if applicable):
anaconda-10.0.2-0.20040826115153.ppc.rpm (rawhide tree, 30th August 2004)

How reproducible:
Everytime

Steps to Reproduce:
1. Insert CD, boot with "mac"
2. Select install method - choose NFS
3. Select driver to load - choose airport
4. When prompted for ESSID/WEP key, leave empty and go to next
5. Now you're asked for a DHCP IP or manual. Choose DHCP
  
Actual results:
Anaconda reports a Signal 11, and exits

Expected results:
Installation continues!

Additional info:
Works with sungem (wired ethernet) without a hitch. Just seems to be
airport getting DHCP this time.
Comment 1 Jeremy Katz 2004-08-30 13:25:16 EDT
What if you specify essid or wep key?
Comment 2 Colin Charles 2004-09-02 18:43:13 EDT
Specified essid key, it still sig11'ed on me. When the next working
rawhide comes out (1sep was borked), I'll test this again
Comment 3 Colin Charles 2004-09-11 21:38:01 EDT
From anaconda in 9/11 rawhide tree, it's even better. It doesn't give
me the option to load modules for me anymore, it now automatically
detects sungem, which is eth0 (but not airport). The choice to choose
has disappeared :)
Comment 4 Jeremy Katz 2005-04-27 17:56:01 EDT
Is this better for fc4 test[23]?
Comment 5 Jeremy Katz 2005-05-18 15:46:33 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this report.
Comment 6 Colin Charles 2005-05-27 22:00:30 EDT
rawhide 20050526 gave me the choice to use either eth1 or eth0 (so comment #3
doesn't apply any longer). And yes, just specifying the essid without a key, works.

Note You need to log in before you can comment on or make changes to this bug.